<%@ Page Language="C#" AutoEventWireup="true" CodeFile="FlexibleDeclaritiveDataBinding.aspx.cs" Inherits="FlexibleDeclaritiveDataBinding" %>

<%@ Register Src="Menu.ascx" TagName="Menu" TagPrefix="uc1" %>
<%@ Import Namespace="DataBinding.Domain" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <uc1:Menu ID="Menu1" runat="server" />
    <asp:GridView ID="customersGridView" runat="server"
            AutoGenerateColumns="False" BackColor="White" BorderColor="#DEDFDE" BorderStyle="None" BorderWidth="1px" CellPadding="4" ForeColor="Black" GridLines="Vertical">
            <Columns>
                <asp:TemplateField HeaderText = "CompanyName">
                    <ItemTemplate><span><%# ((Customer)Container.DataItem).CompanyName %></span></ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText = "ContactName">
                    <ItemTemplate><span><%# ((Customer)Container.DataItem).ContactName %></span></ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText = "ContactTitle">
                    <ItemTemplate><span><%# ((Customer)Container.DataItem).ContactTitle %></span></ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText = "Address">
                    <ItemTemplate><span><%# ((Customer)Container.DataItem).Address %></span></ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText = "City">
                    <ItemTemplate><span><%# ((Customer)Container.DataItem).City %></span></ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText = "Region">
                    <ItemTemplate><span><%# ((Customer)Container.DataItem).Region %></span></ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText = "PostalCode">
                    <ItemTemplate><span><%# ((Customer)Container.DataItem).PostalCode %></span></ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText = "Country">
                    <ItemTemplate><span><%# ((Customer)Container.DataItem).Country %></span></ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText = "Phone">
                    <ItemTemplate><span><%# ((Customer)Container.DataItem).Phone %></span></ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText = "Fax">
                    <ItemTemplate><span><%# ((Customer)Container.DataItem).Fax %></span></ItemTemplate>
                </asp:TemplateField>                
            </Columns>
            <FooterStyle BackColor="#CCCC99" />
            <RowStyle BackColor="#F7F7DE" />
            <SelectedRowStyle BackColor="#CE5D5A" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#F7F7DE" ForeColor="Black" HorizontalAlign="Right" />
            <HeaderStyle BackColor="#6B696B" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
        </asp:GridView>
    </form>
</body>
</html>
