<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DatabindingWithObjectDataSourceControl.aspx.cs" Inherits="DatabindingWithObjectDataSourceControl" %>

<%@ Register Src="Menu.ascx" TagName="Menu" TagPrefix="uc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">                    
        <uc1:Menu ID="Menu1" runat="server" />
        <asp:ObjectDataSource ID="customersObjectDataSource" runat="server" 
        SelectMethod="GetAllCustomers" 
        TypeName="DataBinding.ServiceLayer.SimpleCustomerTask">
        </asp:ObjectDataSource>
        
        <asp:GridView ID="customersGridView" runat="server" DataSourceID="customersObjectDataSource" 
            AutoGenerateColumns="False" BackColor="White" BorderColor="#DEDFDE" BorderStyle="None" BorderWidth="1px" CellPadding="4" ForeColor="Black" GridLines="Vertical">
            <Columns>
                <asp:BoundField DataField="CompanyName" HeaderText="CompanyName"/>
                <asp:BoundField DataField="ContactName" HeaderText="ContactName"/>
                <asp:BoundField DataField="ContactTitle" HeaderText="ContactTitle"/>
                <asp:BoundField DataField="Address" HeaderText="Address"/>
                <asp:BoundField DataField="City" HeaderText="City"/>
                <asp:BoundField DataField="Region" HeaderText="Region"/>
                <asp:BoundField DataField="PostalCode" HeaderText="PostalCode"/>
                <asp:BoundField DataField="Country" HeaderText="Country"/>
                <asp:BoundField DataField="Phone" HeaderText="Phone"/>
                <asp:BoundField DataField="Fax" HeaderText="Fax"/>	
            </Columns>
            <FooterStyle BackColor="#CCCC99" />
            <RowStyle BackColor="#F7F7DE" />
            <SelectedRowStyle BackColor="#CE5D5A" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#F7F7DE" ForeColor="Black" HorizontalAlign="Right" />
            <HeaderStyle BackColor="#6B696B" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
        </asp:GridView>
        
    </form>
</body>
</html>
